GIT-CHERRY(1)

NAME
git-cherry - Find commits not merged upstream.

SYNOPSIS
git-cherry [-v] <upstream> [<head>].sp

DESCRIPTION
Each commit between the fork-point and <head> is examined, and compared against the change each commit between the fork-point and <upstream> introduces. Commits already included in upstream are prefixed with - (meaning "drop from my local pull"), while commits missing from upstream are prefixed with + (meaning "add to the updated upstream")..sp

OPTIONS

-v  Verbose.

<upstream>
    Upstream branch to compare against.

<head>
    Working branch; defaults to HEAD.

AUTHOR
Written by Junio C Hamano <junkio@cox.net>.sp

DOCUMENTATION
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp